Package org.kapott.hbci.passport.rdhXfile

# Class DateField

java.lang.Object
org.kapott.hbci.passport.rdhXfile.TLV
org.kapott.hbci.passport.rdhXfile.DateField

public class DateField extends TLV

## Constructor Summary

Constructors
Constructor
Description
`DateField()`
`DateField(TLV tlv)`

## Method Summary

Modifier and Type
Method
Description
`Date`
`getDate()`
`void`
`setDate(Date date)`
`String`
`toString()`
`void`
`updateData()`

### Methods inherited from class org.kapott.hbci.passport.rdhXfile.TLV

`expand, getData, getLength, getRawData, getTag, int2ba, long2ba, reverseba, setData, trimba`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### DateField

public DateField()

### DateField

public DateField(TLV tlv)

## Method Details

### getDate

public Date getDate()

### setDate

public void setDate(Date date)

### updateData

public void updateData()

Overrides:
  `updateData` in class `TLV`

### toString

public String toString()

Overrides:
  `toString` in class `Object`